ValidateResponseTask
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks
Class ValidateResponseTask

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
          org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks.ValidateResponseTask

    public class ValidateResponseTask

extends PlanBuilderTask

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ValidateResponseTask()`

Method Summary
`PlanBuilderElem` | `makeDecision(PlanBuilderElem input)` Checks that the decision plan is valid.

Methods inherited from class org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
`setID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateResponseTask

    public ValidateResponseTask()

Method Detail

### makeDecision

    public final PlanBuilderElem makeDecision(PlanBuilderElem input)
                                       throws PlanBuilderException

  Checks that the decision plan is valid. Usually introduced in the final stage of decision making workflow. Checks that there are no pending package groups in the request that have not been assigned to a GHN.

  Specified by:
    `makeDecision` in class `PlanBuilderTask`
  Parameters:
    `input` - `PlanBuilderElem` the required data to make a decision plan.
  Returns:
    an element of type `PlanBuilderElem` with the initial request and response possibly modified in accordance to the decision making strategy.
  Throws:
    `PlanBuilderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD